import { Base, initContainer } from "../ContainerBase/index";
declare class PriorityQueue<T> extends Base {
    private priorityQueue;
    private cmp;
    constructor(container?: initContainer<T>, cmp?: (x: T, y: T) => number);
    private swap;
    private adjust;
    clear(): void;
    /**
     * Inserts element and sorts the underlying container.
     */
    push(element: T): void;
    /**
     * Removes the top element.
     */
    pop(): void;
    /**
     * Accesses the top element.
     */
    top(): T;
}
export default PriorityQueue;
