declare class TreeNode<K, V> {
    static TreeNodeColorType: {
        readonly red: true;
        readonly black: false;
    };
    color: boolean;
    key: K | undefined;
    value: V | undefined;
    parent: TreeNode<K, V> | undefined;
    brother: TreeNode<K, V> | undefined;
    leftChild: TreeNode<K, V> | undefined;
    rightChild: TreeNode<K, V> | undefined;
    constructor(key?: K, value?: V);
    rotateLeft(): TreeNode<K, V>;
    rotateRight(): TreeNode<K, V>;
    remove(): void;
}
export default TreeNode;
