import { Base } from "../../ContainerBase/index";
declare abstract class HashContainerBase<K> extends Base {
    protected static maxBucketNum: number;
    protected static initBucketNum: number;
    protected static sigma: number;
    protected static treeifyThreshold: number;
    protected static untreeifyThreshold: number;
    protected static minTreeifySize: number;
    protected initBucketNum: number;
    protected bucketNum: number;
    protected hashFunc: (x: K) => number;
    constructor(initBucketNum?: number, hashFunc?: (x: K) => number);
}
export default HashContainerBase;
