"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContainerInitError = exports.NullValueError = exports.InternalError = exports.RunTimeError = exports.TypeError = exports.TestError = void 0;
function createErrorClass(errorName, errorMessage) {
    return /** @class */ (function (_super) {
        __extends(newError, _super);
        function newError(message) {
            if (message === void 0) { message = errorMessage; }
            var _this = _super.call(this, message) || this;
            _this.name = errorName;
            return _this;
        }
        return newError;
    }(Error));
}
exports.TestError = createErrorClass('TestError', 'test error');
exports.TypeError = createErrorClass('TypeError', 'type error');
exports.RunTimeError = createErrorClass('RunTimeError', 'access out of bounds');
exports.InternalError = createErrorClass('InternalError', 'internal error');
exports.NullValueError = createErrorClass('NullValueError', 'you can not set null value here');
exports.ContainerInitError = createErrorClass('ContainerInitError', 'container init failed');
