import { ContainerIterator } from "../../ContainerBase/index";
import TreeNode from './TreeNode';
declare abstract class TreeIterator<K, V> extends ContainerIterator<unknown, TreeNode<K, V>> {
    private header;
    constructor(node: TreeNode<K, V>, header: TreeNode<K, V>, iteratorType: 'normal' | 'reverse');
    private _pre;
    private _next;
    pre(): this;
    next(): this;
    equals(obj: ContainerIterator<unknown, TreeNode<K, V>>): boolean;
}
export default TreeIterator;
