import { NullValueError, RunTimeError } from './error';
export function checkUndefinedParams() {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    if (args.includes(undefined) || args.includes(null)) {
        throw new NullValueError();
    }
}
export function checkWithinAccessParams(pos, lower, upper) {
    if (pos < lower || pos > upper) {
        throw new RunTimeError();
    }
}
